baudrate=115200
boot_a_script=load ${devtype} ${devnum}:${bootpart} ${scriptaddr} ${prefix}${script}; source ${scriptaddr}
boot_extlinux=sysboot ${devtype} ${devnum}:${bootpart} any ${scriptaddr} ${prefix}extlinux/extlinux.conf
boot_prefixes=/ /boot/
boot_script_dhcp=boot.scr.uimg
boot_scripts=boot.scr.uimg boot.scr
boot_targets=mmc0 usb0 pxe dhcp
bootcmd=env default cpu; env default initrd_high; env default fdt_high; fdt addr 0x${fdt_addr}; fdt move 0x${fdt_addr} ${fdt_addr_r}; if test "${cpu}" = "armv8"; then boot=booti; else boot=bootz; fi; run distro_bootcmd
bootcmd_dhcp=usb start; if dhcp ${scriptaddr} ${boot_script_dhcp}; then source ${scriptaddr}; fi
bootcmd_mmc0=setenv devnum 0; run mmc_boot
bootcmd_pxe=usb start; dhcp; if pxe get; then pxe boot; fi
bootcmd_usb0=setenv devnum 0; run usb_boot
bootdelay=2
bootenv=uEnv.txt
devnum=0
devtype=mmc
dhcpuboot=usb start; dhcp u-boot.uimg; bootm
distro_bootcmd=for target in ${boot_targets}; do run bootcmd_${target}; done
export_vars=baudrate boot_a_script boot_extlinux boot_prefixes boot_script_dhcp boot_scripts boot_targets bootcmd bootcmd_dhcp bootcmd_mmc0 bootcmd_pxe bootcmd_usb0 bootdelay bootenv devnum devtype dhcpuboot distro_bootcmd export_vars export_env fdt_addr_r importbootenv kernel_addr_r kernel_file loadaddr loadbootenv loadfdt loadfiles loadinitrd loadkernel loadpsplash mmc_boot mmcargs mmcdev mmcpart mmcrootfstype psplash_file pxefile_addr_r ramdisk_addr_r ramdisk_file scan_dev_for_boot scan_dev_for_boot_part scan_dev_for_extlinux scan_dev_for_scripts scriptaddr snap_core snap_try_core snap_kernel snap_try_kernel snap_mode snappy_boot snappy_cmdline snappy_mode stderr stdin stdout uenvcmd usb_boot
export_env=env export -c ${kernel_addr_r} ${export_vars}; save ${devtype} ${mmcdev}:${mmcpart} ${kernel_addr_r} /uboot.env ${filesize}
fdt_addr_r=0x02600000
importbootenv=echo Importing environment from mmc ...; env import -t -r $loadaddr $filesize
kernel_addr_r=0x00080000
kernel_file=kernel.img
loadaddr=0x00200000
loadbootenv=echo LOADBOOTENV; load ${devtype} ${devnum} ${loadaddr} ${bootenv}
loadfdt=fdt addr ${fdt_addr_r}; fdt get value args /chosen bootargs
loadfiles=run loadkernel; run loadinitrd; run loadpsplash; run loadfdt
loadinitrd=load mmc ${mmcdev}:${mmcpart} ${ramdisk_addr_r} ${snap_kernel}/${ramdisk_file}; setenv ramdisk_size ${filesize}
loadkernel=load mmc ${mmcdev}:${mmcpart} ${kernel_addr_r} ${snap_kernel}/${kernel_file}
loadpsplash=if test -e mmc ${mmcdev}:${mmcpart} ${psplash_file}; then setexpr psplash_addr ${ramdisk_addr_r} + ${ramdisk_size}; load mmc ${mmcdev}:${mmcpart} ${psplash_addr} ${psplash_file}; setenv psplash_size ${filesize}; setexpr ramdisk_size ${ramdisk_size} + ${psplash_size}; fi
mmc_boot=run loadfdt; if mmc dev ${devnum}; then setenv devtype mmc; if run loadbootenv; then echo Loaded environment from ${bootenv}; run importbootenv; fi; if test -n "$uenvcmd"; then echo Running uenvcmd ...; run uenvcmd; fi; run scan_dev_for_boot_part; fi
mmcargs=setenv bootargs "${args} root=${mmcroot}"
mmcdev=0
mmcpart=1
mmcrootfstype=ext4
psplash_file=psplash.img
pxefile_addr_r=0x02500000
ramdisk_addr_r=0x02700000
ramdisk_file=initrd.img
scan_dev_for_boot=echo Scanning ${devtype} ${devnum}:${bootpart}...; for prefix in ${boot_prefixes}; do run scan_dev_for_extlinux; run scan_dev_for_scripts; done
scan_dev_for_boot_part=part list ${devtype} ${devnum} devplist; for bootpart in ${devplist}; do if fstype ${devtype} ${devnum}:${bootpart} bootfstype; then run scan_dev_for_boot; fi; done
scan_dev_for_extlinux=if test -e ${devtype} ${devnum}:${bootpart} ${prefix}extlinux/extlinux.conf; then echo Found ${prefix}extlinux/extlinux.conf; run boot_extlinux; echo SCRIPT FAILED: continuing...; fi
scan_dev_for_scripts=for script in ${boot_scripts}; do if test -e ${devtype} ${devnum}:${bootpart} ${prefix}${script}; then echo Found U-Boot script ${prefix}${script}; run boot_a_script; echo SCRIPT FAILED: continuing...; fi; done
scriptaddr=0x02400000
snappy_boot=if test "${snap_mode}" = "try"; then setenv snap_mode "trying"; run export_env; if test "${snap_try_core}" != ""; then setenv snap_core "${snap_try_core}"; fi; if test "${snap_try_kernel}" != ""; then setenv snap_kernel "${snap_try_kernel}"; fi; elif test "${snap_mode}" = "trying"; then setenv snap_mode ""; run export_env; fi; run loadfiles; setenv mmcroot "/dev/disk/by-label/writable ${snappy_cmdline} snap_core=${snap_core} snap_kernel=${snap_kernel}"; run mmcargs; ${boot} ${kernel_addr_r} ${ramdisk_addr_r}:${ramdisk_size} ${fdt_addr_r}
snappy_cmdline=net.ifnames=0 init=/lib/systemd/systemd ro panic=-1 fixrtc
snappy_mode=
stderr=serial
stdin=serial
stdout=serial
uenvcmd=echo ENVCMD; run snappy_boot
usb_boot=usb start; if usb dev ${devnum}; then setenv devtype usb; run scan_dev_for_boot_part; fi
